<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="https://www.thymeleaf.org"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Log in to the Online Filmography</title>
</head>
<body>
<div layout:fragment="content" class="container-fluid mt-5">
    <form method="POST" th:action="@{/login}">
        <div th:if="${param.error}">
            <div class="alert alert-danger">
                <p style="float: bottom">Invalid login/password</p>
            </div>
        </div>
        <!--        <div th:if="${param.logout}">-->
        <!--            <div class="alert alert-danger">-->
        <!--                <p>Вы вышли из системы.</p>-->
        <!--            </div>-->
        <!--        </div>-->
        <div class="form-group col-md-3 offset-md-4 m-auto">
            <p class="h2" style="text-align:center">Enter to the Online Filmography</p>
        </div>
        <div class="form-group col-md-2 offset-md-4 m-auto">
            <input name="username" type="text" class="form-control" id="exampleInputUsername"
                   placeholder="User name"
                   aria-describedby="usernameHelp"/>
            <label for="exampleInputUsername"></label>
            <small id="usernameHelp" class="form-text text-muted">Enter username</small>
        </div>
        <div class="form-group col-md-2 offset-md-4 m-auto">
            <input name="password" type="password" class="form-control" id="exampleInputPassword"
                   placeholder="Password">
            <label for="exampleInputPassword"></label>
            <small id="passwordHelp" class="form-text text-muted">Enter Password</small>
        </div>
        <div class="form-group col-md-3 offset-md-4 m-auto">
            <button type="submit" class="btn btn-success offset-md-5">Enter</button>
            <div class="mt-1">
                <a class="offset-md-3 text-link" href="/users/registration">Registration</a>
                <a class="offset-md-3 text-link" href="/users/remember-password">Forgot your password?</a>
            </div>
        </div>
    </form>
</div>
</body>
</html>